digiKam Developer Documentation: Digikam::ImageRegionWidget Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::ImageRegionWidget Class Reference
Inheritance diagram for Digikam::ImageRegionWidget:

## Public Slots
void | slotOriginalImageRegionChanged (bool targetDone=true)
void | slotPreviewModeChanged (int mode)

## Signals
void | signalCapturedPointFromOriginal (const Digikam::DColor &, const QPoint &)
void | signalOriginalClipFocusChanged ()
void | signalSpotPositionChangedFromOriginal (const Digikam::DColor &, const QPoint &)
Signals inherited from Digikam::GraphicsDImgView
void | activated ()
void | contentsMoved (bool panningFinished)
void | contentsMoving (int, int)
void | leftButtonClicked ()
void | leftButtonDoubleClicked ()
void | resized ()
void | rightButtonClicked ()
void | signalZoomFactorChanged ()
void | toNextImage ()
void | toPreviousImage ()
void | viewportRectChanged (const QRectF &viewportRect)

## Public Member Functions
| ImageRegionWidget (QWidget *const parent=nullptr, bool paintExtras=true)
bool | capturePointMode () const
void | exposureSettingsChanged ()
DImg | getOriginalImage () const
QRect | getOriginalImageRegionToRender () const
| To get target image region area to render.
DImg | getOriginalRegionImage (bool useDownscaledImage=false) const
| To get target image region image to use for render operations If the bool parameter is true a downscaled version of the image region at screen resolution will be sent.
void | ICCSettingsChanged ()
bool | isBusy () const
void | setBusy (bool b)
| : set an internal flag to prevent glitch in the canvas when preview filter render a region.
void | setCapturePointMode (bool b)
void | setHighLightPoints (const QPolygon &pointsList)
void | setPreviewImage (const DImg &img)
void | updateImage (const DImg &img)
Public Member Functions inherited from Digikam::GraphicsDImgView
| GraphicsDImgView (QWidget *const parent=nullptr)
int | contentsX () const
int | contentsY () const
void | drawText (QPainter *p, const QRectF &rect, const QString &text)
void | fitToWindow ()
bool | isMagnifierVisible () const
GraphicsDImgItem * | item () const
| Return the instance of item set by setItem().
SinglePhotoPreviewLayout * | layout () const
int | magnifierSize () const
qreal | magnifierZoomFactor () const
DImgPreviewItem * | previewItem () const
void | scrollPointOnPoint (const QPointF &scenePos, const QPoint &viewportPos)
| Scrolls the view such that scenePos (in scene coordinates is displayed on the viewport at viewportPos (in viewport coordinates).
void | setContentsPos (int x, int y)
void | setItem (GraphicsDImgItem *const item)
| Store internal instance of item as GraphicsDImgItem.
void | setMagnifierSize (int size)
void | setMagnifierVisible (bool b)
void | setMagnifierZoomFactor (qreal factor)
void | toggleFullScreen (bool set)
QRect | visibleArea () const

## Protected Member Functions
void | mouseMoveEvent (QMouseEvent *) override
void | mousePressEvent (QMouseEvent *) override
void | mouseReleaseEvent (QMouseEvent *) override
Protected Member Functions inherited from Digikam::GraphicsDImgView
virtual bool | acceptsMouseClick (QMouseEvent *e)
void | continuePanning (const QPoint &pos)
void | drawForeground (QPainter *painter, const QRectF &rect) override
virtual bool | event (QEvent *) override
void | finishPanning ()
PanIconWidget * | installPanIcon ()
virtual void | mouseDoubleClickEvent (QMouseEvent *) override
virtual void | resizeEvent (QResizeEvent *) override
virtual void | scrollContentsBy (int dx, int dy) override
void | setScaleFitToWindow (bool value)
void | setShowText (bool value)
void | startPanning (const QPoint &pos)
void | updatePanIconWidget ()
virtual bool | viewportEvent (QEvent *) override
virtual void | wheelEvent (QWheelEvent *) override

## Additional Inherited Members
Protected Slots inherited from Digikam::GraphicsDImgView
void | slotContentsMoved ()
virtual void | slotPanIconSelectionMoved (const QRect &, bool)
void | slotRefreshPanIconSelection ()
void | slotZoomFactorChanged ()

## Member Function Documentation

## ◆ getOriginalRegionImage()

DImg Digikam::ImageRegionWidget::getOriginalRegionImage | ( | bool | useDownscaledImage = `false` | ) | const

Should be use to increase preview speed for the effects whose behaviour is a function of each pixel.

## ◆ mouseMoveEvent()

void Digikam::ImageRegionWidget::mouseMoveEvent | ( | QMouseEvent * | e | ) |
| overrideprotectedvirtual

Reimplemented from Digikam::GraphicsDImgView.

## ◆ mousePressEvent()

void Digikam::ImageRegionWidget::mousePressEvent | ( | QMouseEvent * | e | ) |
| overrideprotectedvirtual

Reimplemented from Digikam::GraphicsDImgView.

## ◆ mouseReleaseEvent()

void Digikam::ImageRegionWidget::mouseReleaseEvent | ( | QMouseEvent * | e | ) |
| overrideprotectedvirtual

Reimplemented from Digikam::GraphicsDImgView.

## ◆ setBusy()

void Digikam::ImageRegionWidget::setBusy | ( | bool | b | ) |

The canvas update can be processed only when the filter complete the job. Typical case of dysfunction: zoom out the canvas with a preview redending an half of the image. Due to a race condition, an older area is flush on the part of the image to render and still present while the filter is done.